React Native Fiber

React Native Fiber 1.1.3

A fascinating React Native starter kit focused on animation for your iOS and Android application
Inspired by Framer's UI Kit, Fiber

Note: This product is available with Expo Client.
We don't recommend to upgrade Xcode to version 10 for running the apps on the local machine as React Native doesn't have support for it at the moment.
.


Development Environment
Demo Available

Create a captivating UX for your app's users

Fully customizable, ready-to-use screens with flat UI design that adds an aesthetic touch to the app

  • ● Welcome
  • ● Sign Up
  • ● Login
  • ● Walkthrough
  • ● Explore
  • ● Share
  • ● Profile

React Native Fiber

Note

This starter kit is only a UI theme and it doesn't include any back-end code, neither it is wired up with any API calls.
View the React Native Fiber Firebase.

Features

  • Power-packed with NativeBase, React Navigation, Flow
  • Integrated with Expo
  • Based on the Animated API from React Native
  • ESLint for quality code
  • Slick UI elements and components
React Native Fiber
React Native Fiber

Subtle Animations

  • Fade-in view with delays, translations, and rotations
  • Scrolling animation
  • Loading effect
  • Blur animation
  • Text fade-in with translation

Read the implementation here.

Perfectly native look and feel with React Native

Eye soothing UI with awesomely smooth UX!

React Native Fiber

And not to miss

Take a look at the Flutter version of this theme available here

Package

React Native Fiber

  • ● @expo/vector-icons: 6.3.1
  • ● autobind-decorator: ^1.4.0
  • ● crypto-js: ^3.1.9-1
  • expo: ^29.0.0
  • ● jest-junit-reporter: ^1.1.0
  • ● lodash: ^4.17.4
  • ● moment: ^2.18.1
  • native-base: 2.4.1
  • ● react: 16.3.1
  • react-native: https://github.com/expo/react-native/archive/sdk-29.0.0.tar.gz
  • ● react-native-swiper: ^1.5.13
  • ● react-navigation: ^2.9.3
  • ● babel-eslint: ^8.2.1
  • eslint: ^4.9.0
  • ● eslint-config-airbnb: ^16.1.0
  • ● eslint-plugin-flowtype: ^2.41.0
  • ● eslint-plugin-import: ^2.7.0
  • ● eslint-plugin-jsx-a11y: ^6.0.2
  • ● eslint-plugin-react: ^7.4.0
  • ● eslint-plugin-react-native: ^3.2.1
  • ● exp: 56.0.0
  • ● expo-cli: ^1.1.0-beta.4
  • ● flow-bin: 0.63.1
  • ● flow-result-checker: ^0.3.0
  • ● jest-expo: ^29.0.0
  • ● react-native-scripts: 1.11.1
  • ● react-test-renderer: 16.0.0-alpha.12

BROUGHT TO YOU BY

Start building your app today!

Get Started